<!--  Scicos

   Copyright (C) INRIA - METALAU Project <scicos@inria.fr>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  See the file ../license.txt
-->

<DATA flag="ex">

<FILE name='ABCD_Blocks' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='ABSBLK_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='ABS_VALUE' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='AFFICH_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='AFFICH_m' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='ANDBLK' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='ANDLOG_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='AUTOMAT' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='About_scicos' type='XML'>
  <EXAMPLE><![CDATA[
  ]]></EXAMPLE>
</FILE>

<FILE name='BACKLASH' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='BIGSOM_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='BITCLEAR' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='BITSET' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='BOUNCE' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='BOUNCEXY' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='BPLATFORM' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='Bache' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CANIMXY' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CANIMXY3D' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CBLOCK' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CCS' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CEVENTSCOPE' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CFSCOPE' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CLINDUMMY_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CLKFROM' type='XML'>
<EXAMPLE>
<P>

</P>
</EXAMPLE>
</FILE>

<FILE name='CLKGOTO' type='XML'>
<EXAMPLE>
<P>

</P>
</EXAMPLE>
</FILE>

<FILE name='CLKGotoTagVisibility' type='XML'>
<EXAMPLE>
<P>

</P>
</EXAMPLE>
</FILE>

<FILE name='CLKINV_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CLKIN_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CLKOUTV_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CLKOUT_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CLKSOMV_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CLKSOM_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CLKSPLIT_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CLOCK_c' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CLOCK_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CLR' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CLR_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CLSS' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CLSS_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CMAT3D' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CMATVIEW' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CMSCOPE' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CONST' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CONSTRAINT_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CONST_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CONST_m' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CONVERT' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='COSBLK_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CSCOPE' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CSCOPXY' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CSCOPXY3D' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CUMSUM' type='XML'>
<EXAMPLE>
<P>
A=[1 2 3;4 5 6;7 8 9]
If the sum is along the row the result will be
B=[12;15;18]
</P>
</EXAMPLE>
</FILE>

<FILE name='CURVE_c' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CURV_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='CVS' type='XML'>
  <EXAMPLE>

  </EXAMPLE>
</FILE>

<FILE name='C_macros' type='XML'>
  <EXAMPLE><![CDATA[
  ]]></EXAMPLE>
</FILE>

<FILE name='C_struct' type='XML'>
  <EXAMPLE><![CDATA[
  ]]></EXAMPLE>
</FILE>

<FILE name='C_utils' type='XML'>
  <EXAMPLE><![CDATA[
  ]]></EXAMPLE>
</FILE>

<FILE name='Capacitor' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='ConstantVoltage' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='Context' type='XML'>
  <EXAMPLE>

  </EXAMPLE>
</FILE>

<FILE name='Counter' type='XML'>
<EXAMPLE>
<P>

</P>
</EXAMPLE>
</FILE>

<FILE name='CurrentSensor' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='DEADBAND' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='DEBUG_SCICOS' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='DELAYV_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='DELAY_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='DEMUX' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='DEMUX_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='DERIV' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='DFLIPFLOP' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='DIFF_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='DLATCH' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='DLR' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='DLRADAPT_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='DLR_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='DLSS' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='DLSS_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='DOLLAR' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='DOLLAR_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='DOLLAR_m' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='Diode' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='EDGETRIGGER' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='EDGE_TRIGGER' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='ENDBLK' type='XML'>
  <EXAMPLE>

  </EXAMPLE>
</FILE>

<FILE name='END_c' type='XML'>
  <EXAMPLE>

  </EXAMPLE>
</FILE>

<FILE name='ESELECT_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='EVTDLY_c' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='EVTDLY_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='EVTGEN_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='EVTVARDLY' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='EXPBLK_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='EXPBLK_m' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='EXPRESSION' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='EXTRACT' type='XML'>
<EXAMPLE>
<P>
A=[1 2 3;4 5 6;7 8 9]
If the "Lines to extract" is 1 and 2 and the "Column to extract" is 1 and 3 then the output is
B=[1 3;4 6]
</P>
</EXAMPLE>
</FILE>

<FILE name='EXTRACTBITS' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='EXTRACTOR' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='EXTTRI' type='XML'>
<EXAMPLE>
<P>
A=[1 2 3;4 5 6;7 8 9;10 11 12]
If the extraction type is 2 then the output is
B=[1 0 0;4 5 0;7 8 9;10 11 12]
</P>
</EXAMPLE>
</FILE>

<FILE name='Extract_Activation' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='FROM' type='XML'>
<EXAMPLE>
<P>

</P>
</EXAMPLE>
</FILE>

<FILE name='FROMMO' type='XML'>
<EXAMPLE>
<P>

</P>
</EXAMPLE>
</FILE>

<FILE name='FROMWSB' type='XML'>
  <EXAMPLE>

  </EXAMPLE>
</FILE>

<FILE name='FROMWS_c' type='XML'>
  <EXAMPLE>

  </EXAMPLE>
</FILE>

<FILE name='FSV_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='GAINBLK' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='GAINBLK_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='GAIN_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='GENERAL_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='GENSIN_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='GENSQR_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='GOTO' type='XML'>
<EXAMPLE>
<P>

</P>
</EXAMPLE>
</FILE>

<FILE name='GOTOMO' type='XML'>
<EXAMPLE>
<P>

</P>
</EXAMPLE>
</FILE>

<FILE name='GotoTagVisibility' type='XML'>
<EXAMPLE>
<P>

</P>
</EXAMPLE>
</FILE>

<FILE name='GotoTagVisibilityMO' type='XML'>
<EXAMPLE>
<P>

</P>
</EXAMPLE>
</FILE>

<FILE name='Ground' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='Gyrator' type='XML'>
  <EXAMPLE>

  </EXAMPLE>
</FILE>

<FILE name='HALT_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='HYSTHERESIS' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='IFTHEL_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='IMPSPLIT_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='INIMPL_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='INTEGRAL' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='INTEGRAL_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='INTEGRAL_m' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='INTMUL' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='INTRP2BLK_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='INTRPLBLK_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='INVBLK' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='INVBLK_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='IN_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='ISELECT_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='ISELECT_m' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='IdealTransformer' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='Inductor' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='JKFLIPFLOP' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='Keyboard_shortcuts' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='LOGBLK_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='LOGIC' type='XML'>
<EXAMPLE>
<P>
The easiest example to consider is the OR example. In this case we have two inputs and only one output.the truth table for this example is [0;1;1;1].</P>
<P>|-----------|-----------|-----------| </P>
<P>|  input 1  |  input 2  |  output   | </P>
<P>|-----------|-----------|-----------| </P>
<P>|     0     |     0     |     0     | </P>
<P>|-----------|-----------|-----------| </P>
<P>|     0     |     1     |     1     | </P>
<P>|-----------|-----------|-----------| </P>
<P>|     1     |     0     |     1     | </P>
<P>|-----------|-----------|-----------| </P>
<P>|     1     |     1     |     1     | </P>
<P>|-----------|-----------|-----------| </P>
</EXAMPLE>
</FILE>

<FILE name='LOGICAL_OP' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='LOOKUP_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='Lorentz_diagr' type='XML'>
  <EXAMPLE>

  </EXAMPLE>
</FILE>

<FILE name='MATBKSL' type='XML'>
<EXAMPLE>
<P>
A=[1 7 3;23 32 29]
B=[21 18;13 10]
then the result of the A*x=B equation is (A\B):
x=[-4.504 -3.922;3.643 3.132;0.000 0.000]
</P>
</EXAMPLE>
</FILE>

<FILE name='MATCATH' type='XML'>
<EXAMPLE>
<P>
A=[1 2 3;4 5 6]
B=[7 8;9 10]
The result of the horizental concatenation is:
C=[1 2 3 7 8;4 5 6 9 10]
</P>
</EXAMPLE>
</FILE>

<FILE name='MATCATV' type='XML'>
<EXAMPLE>
<P>
A=[1 2;3 4;5 6]
B=[7 8;9 10]
The result of the horizental concatenation is:
C=[1 2;3 4;5 6;7 8;9 10]
</P>
</EXAMPLE>
</FILE>

<FILE name='MATDET' type='XML'>
<EXAMPLE>
<P>
U=[1 0 63;2 -2 5;9 9 4]
y=2215
</P>
</EXAMPLE>
</FILE>

<FILE name='MATDIAG' type='XML'>
<EXAMPLE>
<P>
if the input of the block is U=ones(5,1) then the output is:
y=[1 0 0 0 0;0 1 0 0 0;0 0 1 0 0;0 0 0 1 0;0 0 0 0 1]
</P>
</EXAMPLE>
</FILE>

<FILE name='MATDIV' type='XML'>
<EXAMPLE>
<P>
A=[1 7 3;23 32 29]
B=[21 18 34;13 10 19;11 54 36]
then the result of the x*B=A equation is (A/B):
x=[-0.475 0.712 0.156;-4.350 8.381 0.491]
</P>
</EXAMPLE>
</FILE>

<FILE name='MATEIG' type='XML'>
<EXAMPLE>
<P>
A=[1 12 32;21 35 46;70 8 19]
When the "Decomposition type" is set to one the output is y=[-35.649;14.279;76.369]
When the "Decomposition type" is set to two the outputs are:
y1=[-35.649 0.000 0.000;0.000 14.279 0.000;0.000 0.000 76.369]
y2=[0.557 0.080 0.349;0.330 -0.922 0.770;-0.762 0.379 0.533]
</P>
</EXAMPLE>
</FILE>

<FILE name='MATEXPM' type='XML'>
<EXAMPLE>
<P>
u=[1 2 3;2 3 1;4 2 1]
y=[182.612 196.518 141.735;172.973 190.770 133.577;204.677 220.063 159.067]
</P>
</EXAMPLE>
</FILE>

<FILE name='MATINV' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='MATLU' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='MATMAGPHI' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='MATMUL' type='XML'>
  <EXAMPLE>
    <P>
      A=[1 2 3;4 5 6]
      B=[9 8 7 6;5 4 3 2;9 7 5 3]
      y=[46 37 28 19;115 94 73 52]
    </P>
  </EXAMPLE>
</FILE>

<FILE name='MATPINV' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='MATRESH' type='XML'>
<EXAMPLE>
<P>
u=[1 2 3 4;5 6 7 8]
When the output desired is [1;6] the output is:
y=[1 2 3 4 5 6]
</P>
</EXAMPLE>
</FILE>

<FILE name='MATSING' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='MATSUM' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='MATTRAN' type='XML'>
  <EXAMPLE>
    <P>.                        Complex </P>
    <P> --                  --               --           --</P>
    <P> | 1+i   2+3i    3+2i |   Tranpose    | 1- i   4- i |</P>
    <P> | 4+i   5-8i    6-2i | ----------->  | 2-3i   5+8i |</P>
    <P> --                  --               | 3-2i   6+2i |</P>
    <P> .                                    --           --</P>
    <P>.                  Real </P>
    <P> --          --               --      --</P>
    <P> | 1   -2   3 |   Tranpose    | 1    4 |</P>
    <P> | 4   5    6 | ----------->  |- 2   5 |</P>
    <P> --          --               | 3    6 |</P>
    <P>.                            --      --</P>
  </EXAMPLE>
</FILE>

<FILE name='MATZCONJ' type='XML'>
<EXAMPLE>
<P> --                  --               --                  --</P>
<P> | 1+i   2+3i    3+2i |  Conjugate    | 1-i   2-3i    3-2i |</P>
<P> | 4+i   5-8i    6-2i | ----------->  | 4-i   5+8i    6+2i |</P>
<P> --                  --               --                  --</P>
</EXAMPLE>
</FILE>

<FILE name='MATZREIM' type='XML'>
<EXAMPLE>
<P>

</P>
</EXAMPLE>
</FILE>

<FILE name='MAXMIN' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='MAX_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='MBLOCK' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='MCLOCK_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='MEMORY_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='MFCLCK_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='MIN_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='MOTOR' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='MUX' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='MUX_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='M_SWITCH' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='M_freq' type='XML'>
<EXAMPLE>
<P>
Let us take the example where the sample time is equal to [1 1 2] and the offset is equal to [0 .5 0]. Consider t=simulation time.
When t=0, the fifth output is activated (001 + 100).
When t=0.5, the second output is activated (010).
When t=1, the first output is activated (001).
When t=1.5, the second output is activated (010).
When t=2 we loop back to 0.
</P>
</EXAMPLE>
</FILE>

<FILE name='Menu_entries' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='Modulo_Count' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='Multiwindow' type='XML'>
  <EXAMPLE>

  </EXAMPLE>
</FILE>

<FILE name='NEGTOPOS_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='NMOS' type='XML'>
  <EXAMPLE>

  </EXAMPLE>
</FILE>

<FILE name='NPN' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='NRMSOM_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='OUTIMPL_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='OUT_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='OpAmp' type='XML'>
  <EXAMPLE>

  </EXAMPLE>
</FILE>

<FILE name='PDE' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='PID' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='PMOS' type='XML'>
  <EXAMPLE>

  </EXAMPLE>
</FILE>

<FILE name='PNP' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='POSTONEG_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='POWBLK_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='PRODUCT' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='PROD_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='PerteDP' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='PotentialSensor' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='PuitsP' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='QUANT_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='RAMP' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='RAND_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='RAND_m' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='RATELIMITER' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='READAU_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='READC_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='REGISTER' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='REGISTER_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='RELATIONALOP' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='RELAY_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='RFILE' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='RFILE_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='RICC' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='ROOTCOEF' type='XML'>
<EXAMPLE>
<P>

</P>
</EXAMPLE>
</FILE>

<FILE name='Resistor' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='SAMPHOLD' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SAMPHOLD_m' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SAMPLEHOLD_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='SATURATION' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='SAT_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SAWTOOTH_f' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='SCALAR2VECTOR' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='SELECT_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SELECT_m' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SHIFT' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SIGNUM' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SINBLK_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SLIDER_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SPLIT_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SQRT' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SRFLIPFLOP' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='STEP' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='STEP_FUNCTION' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SUBMAT' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SUMMATION' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SUM_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SUPER_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SWITCH2' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SWITCH2_m' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SWITCH_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SampleCLK' type='XML'>
<EXAMPLE>
<P>

</P>
</EXAMPLE>
</FILE>

<FILE name='Sigbuilder' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SineVoltage' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='SourceP' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='Switch' type='XML'>
  <EXAMPLE>

  </EXAMPLE>
</FILE>

<FILE name='TANBLK_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='TCLSS' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='TCLSS_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='TEXT_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='TIME_DELAY' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='TIME_f' type='XML'>
<EXAMPLE>


</EXAMPLE>
</FILE>

<FILE name='TKSCALE' type='XML'>
  <EXAMPLE>

  </EXAMPLE>
</FILE>

<FILE name='TOWS_c' type='XML'>
  <EXAMPLE>

  </EXAMPLE>
</FILE>

<FILE name='TRASH_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='TrigFun' type='XML'>
<EXAMPLE>


</EXAMPLE>
</FILE>

<FILE name='VARIABLE_DELAY' type='XML'>
<EXAMPLE>


</EXAMPLE>
</FILE>

<FILE name='VVsourceAC' type='XML'>
<EXAMPLE>


</EXAMPLE>
</FILE>

<FILE name='VanneReglante' type='XML'>
<EXAMPLE>


</EXAMPLE>
</FILE>

<FILE name='VariableResistor' type='XML'>
<EXAMPLE>


</EXAMPLE>
</FILE>

<FILE name='VoltageSensor' type='XML'>
<EXAMPLE>


</EXAMPLE>
</FILE>

<FILE name='VsourceAC' type='XML'>
<EXAMPLE>


</EXAMPLE>
</FILE>

<FILE name='WFILE' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='WFILE_f' type='XML'>
<EXAMPLE>


</EXAMPLE>
</FILE>

<FILE name='WRITEAU_f' type='XML'>
<EXAMPLE>


</EXAMPLE>
</FILE>

<FILE name='WRITEC_f' type='XML'>
<EXAMPLE>


</EXAMPLE>
</FILE>

<FILE name='ZCROSS_f' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='block_type' type='XML'>
  <EXAMPLE><![CDATA[
  ]]></EXAMPLE>
</FILE>

<FILE name='buildouttb' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='c_block' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='create_palette' type='XML'>
  <EXAMPLE>

  </EXAMPLE>
</FILE>

<FILE name='curblock' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='data_type' type='XML'>
  <EXAMPLE><![CDATA[
  ]]></EXAMPLE>
</FILE>

<FILE name='fortran_block' type='XML'>
<EXAMPLE>


</EXAMPLE>
</FILE>

<FILE name='freq_div' type='XML'>
<EXAMPLE>


</EXAMPLE>
</FILE>

<FILE name='func_block' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='generic_block' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='generic_block2' type='XML'>
<EXAMPLE>


</EXAMPLE>
</FILE>

<FILE name='generic_block3' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='get_scicos_version' type='XML'>
  <EXAMPLE>
    <P>//Get the scicos version </P>
    <P>  get_scicos_version()</P>
  </EXAMPLE>
</FILE>

<FILE name='getblocklabel' type='XML'>
  <EXAMPLE><![CDATA[
  ]]></EXAMPLE>
</FILE>

<FILE name='getscicosvars' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='lincos' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='phase_simulation' type='XML'>
  <EXAMPLE><![CDATA[
  ]]></EXAMPLE>
</FILE>

<FILE name='pointer_xproperty' type='XML'>
  <EXAMPLE><![CDATA[
  ]]></EXAMPLE>
</FILE>

<FILE name='sci_struct' type='XML'>
  <EXAMPLE><![CDATA[
  ]]></EXAMPLE>
</FILE>

<FILE name='scicos' type='XML'>
<EXAMPLE>
    <P>// Open a new diagram </P>
    <P>  scicos();</P>
    <P>  scicos</P>
    <P> </P>
    <P> </P>
    <P>// Load a diagram  </P>
    <P> scicos SCI/demos/scicos/bounce.cosf; </P>
    <P> scs_m=scicos('SCI/demos/scicos/bounce.cosf'); </P>
    <P> </P>
    <P> </P>
    <P>// Load a structure </P>
    <P> load('mondiagr.cos'); </P>
    <P>  scs_m=scicos(scs_m);</P>
</EXAMPLE>
</FILE>

<FILE name='scicos_block' type='XML'>
  <EXAMPLE>
  </EXAMPLE>
</FILE>

<FILE name='scicos_block4_rout' type='XML'>
  <EXAMPLE><![CDATA[
  ]]></EXAMPLE>
</FILE>

<FILE name='scicos_cpr' type='XML'>
  <EXAMPLE>
  </EXAMPLE>
</FILE>

<FILE name='scicos_debug' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='scicos_diagram' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='scicos_graphics' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='scicos_link' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='scicos_model' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='scicos_params' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='scicos_sim' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='scicos_simulate' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='scicos_state' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='scicos_time' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='scicosim' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='scifunc_block' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='scifunc_block_m' type='XML'>
<EXAMPLE>

</EXAMPLE>
</FILE>

<FILE name='set_blockerror' type='XML'>
  <EXAMPLE><![CDATA[
  ]]></EXAMPLE>
</FILE>

<FILE name='set_xproperty' type='XML'>
  <EXAMPLE><![CDATA[
  ]]></EXAMPLE>
</FILE>

<FILE name='steadycos' type='XML'>
<EXAMPLE>
</EXAMPLE>
</FILE>

<FILE name='use_flag' type='XML'>
  <EXAMPLE><![CDATA[
  ]]></EXAMPLE>
</FILE>

<FILE name='var2vec' type='XML'>
  <EXAMPLE>
    <P>  -->a=list("cos",[1.1,2])</P>
    <P>   a  = </P>
    <P> </P>
    <P>         a(1)</P>
    <P>   </P>
    <P>   cos   </P>
    <P>   </P>
    <P>         a(2)</P>
    <P>   </P>
    <P>      1.1    2.  </P>
    <P></P>
    <P></P>
    <P>  -->b=var2vec(a)         </P>
    <P>   b  =</P>
    <P>   </P>
    <P>      4.244-314  </P>
    <P>      1.273-313  </P>
    <P>      8.488-314  </P>
    <P>      2.122-314  </P>
    <P>      4.941-324  </P>
    <P>      8.488-314  </P>
    <P>      5.093-313  </P>
    <P>      2.122-314  </P>
    <P>      2.122-314  </P>
    <P>      9.881-324  </P>
    <P>      1.1        </P>
    <P>      2.         </P>
  </EXAMPLE>
</FILE>

<FILE name='vec2var' type='XML'>
  <EXAMPLE>
    <P>  -->a=list("cos",[1.1,2])</P>
    <P>   a  = </P>
    <P> </P>
    <P>         a(1)</P>
    <P>   </P>
    <P>   cos   </P>
    <P>   </P>
    <P>         a(2)</P>
    <P>   </P>
    <P>      1.1    2.  </P>
    <P></P>
    <P></P>
    <P>  -->b=var2vec(a)         </P>
    <P>   b  =</P>
    <P>   </P>
    <P>      4.244-314  </P>
    <P>      1.273-313  </P>
    <P>      8.488-314  </P>
    <P>      2.122-314  </P>
    <P>      4.941-324  </P>
    <P>      8.488-314  </P>
    <P>      5.093-313  </P>
    <P>      2.122-314  </P>
    <P>      2.122-314  </P>
    <P>      9.881-324  </P>
    <P>      1.1        </P>
    <P>      2.         </P>
    <P></P>
    <P></P>
    <P>  -->c=vec2var(b)</P>
    <P>   c  =</P>
    <P>   </P>
    <P>   </P>
    <P>         c(1)</P>
    <P>   </P>
    <P>   cos   </P>
    <P>   </P>
    <P>         c(2)</P>
    <P>   </P>
    <P>      1.1    2.  </P>
    <P></P>
  </EXAMPLE>
</FILE>


</DATA>
